generic_unplug_device
Prev | Chapter 17. Block Devices | Next

## Name

generic_unplug_device — fire a request queue

## Synopsis

`void generic_unplug_device (` | struct request_queue * | q`)`;

## Arguments

`q`

  The struct request_queue in question

## Description

Linux uses plugging to build bigger requests queues before letting the device have at them. If a queue is plugged, the I/O scheduler is still adding and merging requests on the queue. Once the queue gets unplugged, the request_fn defined for the queue is invoked and transfers started.

Prev | Up | Next
blk_get_backing_dev_info | Home | blk_start_queue